._dump, ._dump *, ._dump :before, ._dump :after {
	box-sizing: border-box;
}

._dump {
	background-color: white;
	font: 12px "Menlo", monospace;
	line-height: 1.48;
	list-style: none;
	margin: 0;
	padding: 5px 5px 5px 21px;
	color: #444;
	text-indent: 0 !important;
}

._dump li {
	position: relative;
	padding: 2px 0;
	text-indent: 0 !important;
}

._dump ._dump_object:before, ._dump ._dump_array:before {
	content: " ";
	display: block;
	position: absolute;
	top: 5px; left: -16px;
	width: 0;
	height: 0;
	border-left: 6px solid #808080;
	border-top: 4px solid transparent;
	border-bottom: 4px solid transparent;
}

._dump ._dump_object._exp:before, ._dump ._dump_array._exp:before {
	transform: rotate(90deg);
}

._dump ._dump_object > ul, ._dump ._dump_array > ul {
	display: none;
}

._dump ._dump_object > div, ._dump ._dump_array > div {
	cursor: pointer;
}

._dump ._dump_object._exp > ul, ._dump ._dump_array._exp > ul {
	display: block;
}

._dump > li > div:hover {
	background-color: #f0f0f0;
}

._dump > li > div:before {
	display: inline-block;
	vertical-align: middle;
	position: relative;
	width: 16px;
	height: 16px;
	text-align: center;
	font: bold 11px sans-serif;
	line-height: 15px;
	border: 1px solid black;
	border-radius: 2px;
	margin-right: 5px;
	color: white;
}

/* Boolean - Brown */
._dump ._dump_boolean > div:before {
	content: 'B';
	border-color: #c3b8ad;
	background-color: #f1e2d4;
	color: #A46743;
}
._boolean {
	color: #A46743;
}

/* Integer - Blue */
._dump ._dump_integer > div:before {
	content: 'I';
	border-color: #b6c3ce;
	background-color: #e0f0fe;
	color: #2987CD;
}
._integer {
	color: #2987CD;
}

/* Double - Purple */
._dump ._dump_double > div:before {
	content: 'D';
	border-color: #c7bcce;
	background-color: #f6e7fe;
	color: #A23BC5;
}
._double {
	color: #A23BC5;
}

/* String - Red */
._dump ._dump_string > div:before {
	content: 'S';
	border-color: #cdbdbb;
	background-color: #fee8e6;
	color: #D92B2F;
}
._string {
	color: #D92B2F;
}

/* Array - Green */
._dump ._dump_array > div:before {
	content: 'A';
	border-color: #bacabd;
	background-color: #e6f9e8;
	color: #2DB84B;
}
._array {
	color: #2DB84B;
}

/* Object - Orange */
._dump ._dump_object > div:before {
	content: 'O';
	border-color: #cec1b6;
	background-color: #ffeddf;
	color: #F0712C;
}
._object {
	color: #F0712C;
}

/* Resource - Pink */
._dump ._dump_resource > div:before {
	content: 'R';
	border-color: #cdbacb;
	background-color: #fee4fa;
	color: #DB3D94;
}
._resource {
	color: #DB3D94;
}

/* Method - Olive */
._dump ._dump_method > div:before {
	content: 'M';
	border-color: #cbcdc3;
	background-color: #fbfdf0;
	color: #B5CA31;
}
._method {
	color: #B5CA31;
}

/* Null - Grey */
._dump ._dump_null > div:before {
	content: 'N';
	border-color: #C9CACA;
	background-color: #F8F8F9;
	color: #676767;
}
._null {
	color: #676767;
}
